Crystal Space
Welcome, Guest. Please login or register.
April 18, 2014, 09:54:51 pm

Login with username, password and session length
Search:     Advanced search
8990 Posts in 2037 Topics by 7597 Members
Latest Member: Drukareczka1989
* Home Help Search Login Register
+  Crystal Space
|-+  Crystal Space Development
| |-+  Support
| | |-+  problem building CS 1.2.1
« previous next »
Pages: [1] Print
Author Topic: problem building CS 1.2.1  (Read 2424 times)
anmbia
Newbie
*
Posts: 5


View Profile Email
« on: November 20, 2008, 11:05:22 am »

Hello,

I'm trying to build CS 1.2.1, but I'm getting a weird error.  I'm using visual C++ 2008 express edition as my complier, and before I could load the wkstypical file it said that the project was built with a previous edition of visual c++, and that I had to convert the files.  The conversion went okay, but I'm wondering if this is what is causing the error.  I used the file from the msvc8 folder, but I think the compiler comes with visual c++ 9...

the error:

84>fancycon.obj : error LNK2001: unresolved external symbol "public: virtual unsigned long __thiscall iEventHandlerRegistry::GetGenericID(char const *)" (?GetGenericID@iEventHandlerRegistry@@UAEKPBD@Z)
84>..\..\fancycon.dll : fatal error LNK1120: 1 unresolved externals

I'm also getting a ton of warnings about using deprecated classes:
warning C4996: 'csPolygonMeshBox::GetTriangles': csPolygonMeshBox is deprecated; use csTriangleMeshBox instead
Logged
anmbia
Newbie
*
Posts: 5


View Profile Email
« Reply #1 on: November 22, 2008, 04:18:10 pm »

I downloaded the most recent version of CS off the trunk with svn, and installed the most recent library package.  It compiled on the first try!  Not a solution to the problem with 1.2.1, but I'm happy.
Logged
Vincent
Full Member
***
Posts: 191


View Profile WWW
« Reply #2 on: November 24, 2008, 07:17:41 pm »

MSVC9 was not yet supported when CS 1.2[.1] was released.
If you want a stable CS version with MSVC9 support, check out CS 1.4 SVN branch.
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #3 on: December 13, 2008, 02:56:59 pm »

You should Download MSVC 2005 from here

http://www.microsoft.com/express/2005/download/default.aspx

Then You should install The Platform SDK and The Directx SDK

If you do these you won't have a problem! Tongue
Logged

Pages: [1] Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.2 | SMF © 2006-2007, Simple Machines LLC Valid XHTML 1.0! Valid CSS!
Page created in 5.461 seconds with 14 queries.